<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stanek](./bitburner.stanek.md) &gt; [canPlaceFragment](./bitburner.stanek.canplacefragment.md)

## Stanek.canPlaceFragment() method

Check if fragment can be placed at specified location.

**Signature:**

```typescript
canPlaceFragment(rootX: number, rootY: number, rotation: number, fragmentId: number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  rootX | number | Root X against which to align the top left of the fragment. |
|  rootY | number | Root Y against which to align the top left of the fragment. |
|  rotation | number | A number from 0 to 3, the amount of 90-degree turns to take. |
|  fragmentId | number | ID of the fragment to place. |

**Returns:**

boolean

true if the fragment can be placed at that position. false otherwise.

## Remarks

RAM cost: 0.5 GB

